import { AxiosRequestConfig, AxiosResponse } from 'axios';
type ExtendedRequestConfig = AxiosRequestConfig;
export declare class ApiService {
    private axiosInstance;
    constructor();
    private getLogPrefix;
    private setupInterceptors;
    get<T = any>(url: string, config?: ExtendedRequestConfig): Promise<AxiosResponse<T>>;
    post<T = any>(url: string, data?: any, config?: ExtendedRequestConfig): Promise<AxiosResponse<T>>;
    put<T = any>(url: string, data?: any, config?: ExtendedRequestConfig): Promise<AxiosResponse<T>>;
    delete<T = any>(url: string, config?: ExtendedRequestConfig): Promise<AxiosResponse<T>>;
    patch<T = any>(url: string, data?: any, config?: ExtendedRequestConfig): Promise<AxiosResponse<T>>;
}
export declare const apiService: ApiService;
export {};
